<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
{
    Schema::table('chl_voucher', function (Blueprint $table) {
        $table->date('Chq_Date')->nullable()->after('Status_Remark');
        $table->string('IFSC_Code', 25)->nullable()->after('Chq_Date');
        $table->bigInteger('Acc_No')->nullable()->after('IFSC_Code');
        $table->bigInteger('Chq_No')->nullable()->after('Acc_No');
        $table->date('Rec_Date')->nullable()->after('Chq_No');
    });
}

public function down()
{
    Schema::table('chl_voucher', function (Blueprint $table) {
        $table->dropColumn([
            'Chq_Date',
            'IFSC_Code',
            'Acc_No',
            'Chq_No',
            'Rec_Date'
        ]);
    });
}
};
